namespace MyOffice.Data.Repositories.Currency;

using Models.Currencies;

public interface ICurrencyRateRepository
{
	List<CurrencyRate> GetLastRates(Guid currencyId, DateTime? before = null, int count = 1);
	List<CurrencyRate> GetLastRates(List<string> currencyIds);
	bool AddRate(CurrencyRate currencyRate);
	List<CurrencyRate> GetAtDate(Guid currencyId, DateTime date);
}